libsquiggly.py
==============

Libsquiggly consists of python codes useful in all manner of ubiquitous computing.  Code is organized according to general category:

* `instfreq/` contains all code related to instantaneous frequency estimation

* `tfr/` contains all code related to time/frequency representations such as short-time fourier transforms and generalized cone kernel distribution functions

* `analysis/` contains all code related to communications-type analysis of timeseries

* `resampling/` contains all code related to resampling timeseries

* `util/` contains utility code such as spectrograms, logging standard output, etc...

* `tests/` gives a brief demonstration of some of the abilities of this library, and generates some nice looking pictures.  Run the tests with `python setup.py test`.

If you're wondering how on earth to use this code, running/perusing the examples in the `tests/` directory is a good place to start.
